#!/bin/bash

# mode = gi|sdl|sdl2
[ ! "$1" ] && mode="gl" || mode=$1

#sudo apt-get update
#sudo apt-get install -y git libsdl1.2-dev libsdl2-dev libboost-system-dev libboost-filesystem-dev libboost-date-time-dev libfreeimage-dev libfreetype6-dev libeigen3-dev libcurl4-openssl-dev libasound2-dev libgl1-mesa-dev cmake build-essential git pkg-config 

echo "--------------------------------------------------------------------------"
echo "Install Mode:[$mode]"

[ ! -d ~/.config/retroarch ] && mkdir ~/.config/retroarch
[ ! -d ~/.config/retroarch/system ] && mkdir ~/.config/retroarch/system

cp -R ./cores ~/.config/retroarch
[ "$?" -eq "0" ] && echo -e '\033[0m -> COPY CORES [\033[33;32m OK \033[0m]' || echo -e '\033[0m -> COPY CORES [\033[33;31m KO \033[0m]'
cp ./info/* ~/.config/retroarch/cores
[ "$?" -eq "0" ] && echo -e '\033[0m -> COPY INFO [\033[33;32m OK \033[0m]' || echo -e '\033[0m -> COPY INFO [\033[33;31m KO \033[0m]'
cp -R ./assets ~/.config/retroarch
[ "$?" -eq "0" ] && echo -e '\033[0m -> COPY ASSETS [\033[33;32m OK \033[0m]' || echo -e '\033[0m -> COPY ASSETS [\033[33;31m KO \033[0m]'

cfgFile="./bin/retroarch.${mode}.cfg"
retroarch="./shell/retroarch.${mode}.sh"

cp $cfgFile ~/.config/retroarch/retroarch.cfg 
[ "$?" -eq "0" ] && echo -e "\033[0m -> COPY RETROARCH CFG $cfgFile [\033[33;32m OK \033[0m]" || echo -e "\033[0m -> COPY RETROARCH CFG $cfgFile [\033[33;31m KO \033[0m]"
   
cp $retroarch ./retroarch.sh
[ "$?" -eq "0" ] && echo -e "\033[0m -> COPY RETROARCH SH $retroarch [\033[33;32m OK \033[0m]" || echo -e "\033[0m -> COPY RETROARCH SH $retroarch [\033[33;31m KO \033[0m]"

cp ./bin/retroarch-core-options.cfg ~/.config/retroarch/
[ "$?" -eq "0" ] && echo -e '\033[0m -> COPY RETROARCH CORE OPTIONS [\033[33;32m OK \033[0m]' || echo -e '\033[0m -> COPY RETROARCH CORE OPTIONS [\033[33;31m KO \033[0m]'

echo "--------------------------------------------------------------------------"

exit 0